data-loop.c File Reference
Include dependency graph for data-loop.c:

## Functions

SPA_EXPORT void | pw_data_loop_add_listener (struct pw_data_loop *loop, struct spa_hook *listener, const struct pw_data_loop_events *events, void *data)
| Add an event listener to loop. More...
SPA_EXPORT struct pw_loop * | pw_data_loop_get_loop (struct pw_data_loop *loop)
| Get the loop implementation of this data loop. More...

## Function Documentation

## pw_data_loop_add_listener()

SPA_EXPORT void pw_data_loop_add_listener | ( | struct pw_data_loop * | loop,
|  | struct spa_hook * | listener,
|  | const struct pw_data_loop_events * | events,
|  | void * | data
| ) |  |

Add an event listener to loop.

## pw_data_loop_get_loop()

SPA_EXPORT struct pw_loop* pw_data_loop_get_loop | ( | struct pw_data_loop * | loop | ) |

Get the loop implementation of this data loop.

Referenced by pw_core::pw_core_new().